DDLM_VALIDATE(1)

NAME
ddlm_validate - validate CIF files against DDLm-compliant CIF dictionaries.

SYNOPSIS
ddlm_validate --dictionaries 'cif_core.dic,cif_cod.dic' --options input1.cif input*.cif

DESCRIPTION
Validate CIF files against DDLm-compliant CIF dictionaries.

OPTIONS
-d, --dictionaries 'cif_core.dic,cif_cod.dic'
                  A list of DDLm-compliant CIF dictionary files
                  that the CIF files should be validated against.
                  List elements are separated either by ',' or by ' '.
                  To include dictionaries with filenames containing
                  these symbols, the --add-dictionary option should
                  be used.

-D, --add-dictionary 'cif new dictionary.dic'
                  Add an additional CIF dictionary to the list.

--clear-dictionaries
                  Remove all CIF dictionaries from the list.

-I, --add-ddlm-import-path './ddlm/cod/'
                  Prepend an additional directory to the dictionary
                  import path. The dictionary import path specifies
                  a list of directories in which to look for files
                  that are imported by DDLm-compliant CIF dictionaries.
                  Directories provided using this option are assigned
                  the highest priority and are searched prior to
                  the directories listed in the COD_TOOLS_DDLM_IMPORT_PATH
                  environment variable or the default import path
                  (directory of the importing dictionary).

--clear-ddlm-import-path
                  Remove all directories from the dictionary import path
                  that were added using the --add-ddlm-import-path option.
                  Neither COD_TOOLS_DDLM_IMPORT_PATH environment variable
                  nor the default import path is affected by this option.

--max-message-count 5
                  Maximum number of validation messages that are reported
                  for each unique combination of validation criteria and
                  validated data items. Provide a negative value (e.g. -1)
                  to output all of the generated validation messages
                  Default: -1.

--range-su-multiplier 3.5
                   Multiplier that should be applied to the standard
                   uncertainty (s.u.) when determining if a numeric
                   value resides in the specified range. For example,
                   a multiplier of 3.5 means that the value is treated
                   as valid if it falls in the interval of
                   [lower bound - 3.5 * s.u.; upper bound + 3.5 * s.u.].
                   Default: 3.

--treat-as-set _atom_site_refinement_flags
                  Treat values of given data items as a set. Due to
                  historical reasons data values of some data items
                  are sometimes formed by concatenating several of
                  the available enumeration values. Any number of data
                  items can be specified in the following way:
                  ddlm_validate --treat-as-set _tag_1 --treat-as-set _tag_2
                  Default: '_atom_site_refinement_flags' and
                  '_atom_site.refinement_flags'.

--no-treat-as-set
                  Do not treat values of any data items as sets.
                  (see --treat-as-set).

--report-deprecated
                  Report the presence of data items that are marked as
                  deprecated in the dictionaries. Data item deprecation
                  usually means that it has been replaced with an another
                  data item.

--ignore-deprecated
                  Do not report the presence of data items that are marked
                  as deprecated in the dictionaries. Default.

--report-local-tags
                  Report the presence of local data items.

--no-report-local-tags, --ignore-local-tags
                  Do not report the presence of local data items. Default.

--report-missing-su
                  Report measurand data items that are not accompanied by
                  the mandatory standard uncertainty values.

--no-report-missing-su, --ignore-missing-su
                  Do not report measurand data items that are not
                  accompanied by the mandatory standard uncertainty
                  values. Default.

--follow-iucr-style-guide
                  Do not report missing recommended attributes
                  if they fit the criteria defined in the IUCr
                  DDLm dictionary style guide version 1.1.0,
                  rule 3.1.6.

--no-follow-iucr-style-guide
                  Do not make any validation exceptions based
                  on the IUCr DDLm dictionary style guide. Default.

--continue-on-errors
                  Do not terminate script if errors are raised.

--die-on-errors
                  Terminate script immediately if errors are raised.
                  Default.

--continue-on-warnings
                  Do not terminate script if warnings are raised. Default.

--die-on-warnings
                  Terminate script immediately if warnings are raised.

--continue-on-notes
                  Do not terminate script if notes are raised. Default.

--die-on-notes
                  Terminate script immediately if notes are raised.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

ENVIRONMENT
COD_TOOLS_DDLM_IMPORT_PATH
                  A list of directories in which to look for the
                  DDLm-compliant CIF dictionaries that are imported
                  by other DDLm-compliant CIF dictionaries. List
                  elements are separated by the colon symbol (':').
                  Directories listed in COD_TOOLS_DDLM_IMPORT_PATH
                  have a lower priority than those provided using
                  the command line option (--add-dictionary-import-path),
                  but higher than the default import path directory
                  (directory of the importing dictionary).

REPORTING BUGS
Report ddlm_validate bugs using e-mail: cod-bugs@ibt.lt